// Copyright 2020 Andy Grove
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.ballistacompute.spark.datasource;

import org.apache.spark.sql.types.StructType;

import java.io.Serializable;

public class TableMeta implements Serializable {

  String host;
  int port;
  String tableName;
  StructType schema;

  public TableMeta(String host, int port, String tableName, StructType schema) {
    this.host = host;
    this.port = port;
    this.tableName = tableName;
    this.schema = schema;
  }
}
